Chr (Groovy 5.0.0)

Package: org.apache.groovy.json.internal

## [Java] Class Chr

- org.apache.groovy.json.internal.Chr

-     public class Chr
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `_idx(char[] buffer, int location, byte[] chars)`
    `` | `public static void` | `_idx(char[] array, int startIndex, char[] input)`
    `` | `public static void` | `_idx(char[] array, int startIndex, char[] input, int inputLength)`
    `` | `public static void` | `_idx(char[] buffer, int location, byte[] chars, int start, int end)`
    `` | `public static char[]` | `add(char[] array, char v)`
    `` | `public static char[]` | `add(char[] array, String str)`
    `` | `public static char[]` | `add(char[] array, StringBuilder stringBuilder)`
    `` | `public static char[]` | `add(char[] array, char[] array2)`
    `` | `public static char[]` | `add(char[] strings)`
    `` | `public static char[]` | `array(char array)`
    `` | `public static char[]` | `chars(String array)`
    `` | `public static boolean` | `contains(char[] chars, char c, int start, int length)`
    `` | `public static char[]` | `copy(char[] array)`
    `` | `public static char[]` | `copy(char[] array, int offset, int length)`
    `` | `public static char[]` | `grow(char[] array, int size)`
    `` | `public static char[]` | `grow(char[] array)`
    `` | `public static boolean` | `in(char value, char[] array)`
    `` | `public static boolean` | `in(int value, char[] array)`
    `` | `public static boolean` | `in(char value, int offset, char[] array)`
    `` | `public static boolean` | `in(char value, int offset, int end, char[] array)`
    `` | `public static char[]` | `lpad(char[] in, int size, char pad)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static void _idx(char[] buffer, int location, byte[] chars)

    - #### public static void _idx(char[] array, int startIndex, char[] input)

    - #### public static void _idx(char[] array, int startIndex, char[] input, int inputLength)

    - #### public static void _idx(char[] buffer, int location, byte[] chars, int start, int end)

    - #### public static char[] add(char[] array, char v)

    - #### public static char[] add(char[] array, String str)

    - #### public static char[] add(char[] array, StringBuilder stringBuilder)

    - #### public static char[] add(char[] array, char[] array2)

    - #### public static char[] add(char[] strings)

    - #### public static char[] array(char array)

    - #### public static char[] chars(String array)

    - #### public static boolean contains(char[] chars, char c, int start, int length)

    - #### public static char[] copy(char[] array)

    - #### public static char[] copy(char[] array, int offset, int length)

    - #### public static char[] grow(char[] array, int size)

    - #### public static char[] grow(char[] array)

    - #### public static boolean in(char value, char[] array)

    - #### public static boolean in(int value, char[] array)

    - #### public static boolean in(char value, int offset, char[] array)

    - #### public static boolean in(char value, int offset, int end, char[] array)

    - #### public static char[] lpad(char[] in, int size, char pad)